[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: 'apt-get upgrade' error this morning



On Tue, Apr 01, 2003 at 09:41:11AM -0500, Rick Pasotto wrote:
> I've upgraded lots of packages to testing this morning (the libc6/php4
> problem evidently got fixed) and finally got the following error.
> 
> How do I fix whatever went wrong?
> 
> (Reading database ... 170160 files and directories currently installed.)
> Preparing to replace ncurses-bin 5.2.20020112a-8 (using .../ncurses-bin_5.3.20021109-2_i386.deb) ...
> Unpacking replacement ncurses-bin ...
> Setting up ncurses-bin (5.3.20021109-2) ...
> 
> dpkg: parse error, in file `/var/lib/dpkg/status' near line 49824:
>  missing package name
> E: Sub-process /usr/bin/dpkg returned an error code (2)
> tc:/# 
> tc:/# apt-get -f install
> Reading Package Lists... Error!
> E: Encountered a section with no Package: header
> E: Problem with MergeList /var/lib/dpkg/status
> E: The package lists or status file could not be parsed or opened.

If you can figure out what the missing package name is, you could edit
/var/lib/dpkg/status with a text editor and fix the file. 

Or, you could copy the file to another name and replace the status
file with one of the backups. The one closest to your current setup
would be /var/lib/dpkg/status-old. Older backups are in /var/backups.
 
-- 
Jerome

Attachment: pgpu3vgKVuJSF.pgp
Description: PGP signature


Reply to: